Loading...
Searching...
No Matches
juce::OSCBundle::Element Class Reference

## Detailed Description

An OSC bundle element.

An OSCBundle Element contains either one OSCMessage or one OSCBundle.

The documentation for this class was generated from the following file:

- juce_osc/osc/juce_OSCBundle.h

## Public Member Functions

| Element (OSCMessage message)
| Constructs an OSCBundle Element from an OSCMessage.
| Element (OSCBundle bundle)
| Constructs an OSCBundle Element from an OSCBundle.
| Element (const Element &other)
| Copy constructor.
| ~Element ()
| Destructor.
bool | isMessage () const noexcept
| Returns true if the OSCBundle element is an OSCMessage.
bool | isBundle () const noexcept
| Returns true if the OSCBundle element is an OSCBundle.
const OSCMessage & | getMessage () const
| Returns a reference to the contained OSCMessage.
const OSCBundle & | getBundle () const
| Returns a reference to the contained OSCBundle.

## Constructors and Destructors

## Element() [1/3]

juce::OSCBundle::Element::Element | ( | OSCMessage | message | ) |

Constructs an OSCBundle Element from an OSCMessage.

Referenced by Element().

## Element() [2/3]

juce::OSCBundle::Element::Element | ( | OSCBundle | bundle | ) |

Constructs an OSCBundle Element from an OSCBundle.

References juce::OSCBundle::OSCBundle().

## Element() [3/3]

juce::OSCBundle::Element::Element | ( | const Element & | other | ) |

Copy constructor.

References Element().

## ~Element()

juce::OSCBundle::Element::~Element | ( |  | ) |

Destructor.

## Member Functions

## isMessage()

bool juce::OSCBundle::Element::isMessage | ( |  | ) | const

noexcept

Returns true if the OSCBundle element is an OSCMessage.

## isBundle()

bool juce::OSCBundle::Element::isBundle | ( |  | ) | const

noexcept

Returns true if the OSCBundle element is an OSCBundle.

References isBundle().

Referenced by isBundle().

## getMessage()

const OSCMessage & juce::OSCBundle::Element::getMessage | ( |  | ) | const

Returns a reference to the contained OSCMessage.

If the OSCBundle element is not an OSCMessage, behaviour is undefined.

References getMessage().

Referenced by getMessage().

## getBundle()

const OSCBundle & juce::OSCBundle::Element::getBundle | ( |  | ) | const

Returns a reference to the contained OSCBundle.

If the OSCBundle element is not an OSCBundle, behaviour is undefined.

References getBundle(), and juce::OSCBundle::OSCBundle().

Referenced by getBundle().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited